open_fli(3)

NAME
open_fli, open_memory_fli - Makes a FLI file open and ready for playing. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int open_fli(const char *filename); int open_memory_fli(const void *fli_data);

DESCRIPTION
Open FLI files ready for playing, reading the data from disk or memory respectively. Information about the current FLI is held in the global variables fli_bitmap and fli_palette, which you can use if this function succeeds. However, you can only have one animation open at a time. Example:
   if (open_fli("intro.fli") == FLI_ERROR)
      abort_on_error("Error playing intro");

RETURN VALUE
Returns FLI_OK on success, FLI_ERROR if something went wrong, like trying to open another FLI file without closing the previous one.

SEE ALSO
close_fli(3), next_fli_frame(3), fli_bitmap(3), fli_palette(3)